﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
    <UserSecretsId>7759f419-a20d-46e8-b677-83a348ba9c30</UserSecretsId>
  </PropertyGroup>


  <ItemGroup>
    <PackageReference Include="CloudinaryDotNet" Version="1.8.0" />
    <PackageReference Include="JUnitTestLogger" Version="1.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="2.2.4" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="2.2.4" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="2.2.3" />
    <PackageReference Include="SendGrid" Version="9.11.0" />
    <PackageReference Include="Stripe.net" Version="25.18.0" />
    <PackageReference Include="FluentEmail.Core" Version="2.5.1" />
    <PackageReference Include="FluentEmail.Razor" Version="2.5.2" />
    <PackageReference Include="FluentEmail.Smtp" Version="2.5.2" />
    <PackageReference Include="QRCoder" Version="1.3.5" />
  </ItemGroup>


  <ItemGroup>
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\Login.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\Logout.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\Register.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\Account\_ViewImports.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ValidationScriptsPartial.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ViewImports.cshtml" />
    <_ContentIncludedByDefault Remove="Areas\Identity\Pages\_ViewStart.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\Events\Create.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\Events\Delete.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\Events\Details.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\Events\Edit.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\Events\Index.cshtml" />
    <_ContentIncludedByDefault Remove="Pages\_ValidationScriptsPartial.cshtml" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Views\Purchase\" />
    <Folder Include="Stripe\" />
    <Folder Include="Views\Ticket\" />
  </ItemGroup>
</Project>
